Bug 11246 - Chuvash keyboard layout
Summary: Chuvash keyboard layout
Status: RESOLVED FIXED
Alias: None
Product: xkeyboard-config
Classification: Unclassified
Component: General (show other bugs)
Version: unspecified
Hardware: Other Linux (All)
: medium normal
Assignee: xkb
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-06-12 14:37 UTC by Miron Toli
Modified: 2014-05-01 06:17 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
the code for Chuvash keyboard layout to put into ... /xkb/symbols/ru (710 bytes, text/plain)
2007-06-12 14:48 UTC, Miron Toli
Details
Chuvash keyboard layout with X symbols (694 bytes, text/plain)
2007-06-12 15:28 UTC, Miron Toli
Details
Chuvash Latin Alphabet with X symbols (504 bytes, text/plain)
2007-06-15 11:52 UTC, Miron Toli
Details
Chuvash keyboard layout with XKB resolving the ebreve-proplem. (719 bytes, text/plain)
2007-08-11 02:05 UTC, Miron Toli
Details
Chuvash Latin keyboard layout without "ebreve" + additional letters (1.00 KB, text/plain)
2007-08-11 02:39 UTC, Miron Toli
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Miron Toli 2007-06-12 14:37:44 UTC
It's the Chuvash keyboard layout. It's designed as a "type" of Russian keyboard layout  (as Tatar and Ossetian: https://bugs.freedesktop.org/show_bug.cgi?id=8092)

The Layout is based on the official Chuvash alphabet (http://en.wikipedia.org/wiki/Chuvash_language) and designed by th Chuvash.org community, and done for xkeyboard-confing by me. This is only the file for .../xkb/symbols/ru
There must be additional information for .../rules/base.xml.in But I couldn't find this file. I would appriciate your help. 

here is my "patch". I'm sorry, I don't know how to add:
_________________________________________________________



partial alphanumeric_keys
xkb_symbols "cv" {
    include "ru(winkeys)"
    name[Group1]= "Russia - Chuvash";

    key.type[group1]="FOUR_LEVEL";


    key        <AD03> {        [      Cyrillic_u,	Cyrillic_U,
                            0x010004f3,    0x010004f2      ]       };
    key        <AD05> {        [      Cyrillic_ie,     Cyrillic_IE,
                       0x01000115,	0x01000114     ]       };
    key        <AC04> {        [      Cyrillic_a,	Cyrillic_A,
                          0x01000103,  0x01000102      ]       };
    key        <AB03> {        [      Cyrillic_es,     Cyrillic_ES,
                            ccedilla,    Ccedilla      ]       };

    include "level3(ralt_switch)"

};
Comment 1 Sergey V. Udaltsov 2007-06-12 14:42:27 UTC
> I'm sorry, I don't know how to add

There is "Create a New Attachment" Link just below the bug header info;)

Anyway, I can see your code. The question is - why do you use Unicode hexcodes? Are you 100% sure there are no X symbols which would be suitable? Could you please double-check with keysymdef.h file.

Thanks
Comment 2 Miron Toli 2007-06-12 14:48:17 UTC
Created attachment 10272 [details]
the code for Chuvash keyboard layout to put into ... /xkb/symbols/ru
Comment 3 Miron Toli 2007-06-12 15:28:12 UTC
Created attachment 10277 [details]
Chuvash keyboard layout with X symbols
Comment 4 Sergey V. Udaltsov 2007-06-12 15:40:28 UTC
The new version is definitely better. What about the symbols for AD03?
Comment 5 Miron Toli 2007-06-12 15:55:12 UTC
I suppose, there is no X symbol for AD03 :( I will try to find it...
Comment 6 Miron Toli 2007-06-12 16:26:54 UTC
I have found keysymdef.h It's pity, but there is no ӳ 0x010004f3....
Comment 7 Miron Toli 2007-06-12 16:34:46 UTC
Could we add this character ӳ 0x010004f3 to the keysymdef.h ?
It is called CAPITAL CYRILLIC LETTER WITH DOUBLE ACUTE
SMALL CYRILLIC LETTER WITH DOUBLE ACUTE

http://en.wikipedia.org/wiki/%D3%B2
Comment 8 Sergey V. Udaltsov 2007-06-12 16:43:17 UTC
Ok, let it be the way it is. Thanks, committed to CVS.
Comment 9 Sergey V. Udaltsov 2007-06-12 16:44:36 UTC
Modifying keysymdef.h is beyond my responsibility. I'd advise writing to xorg maillist. There, you'll find guys who are authorized to make changes to that very important header file.
Comment 10 Miron Toli 2007-06-13 08:40:25 UTC
I would wait with the idea to modify the keysemdef.h file....

Thank you very much for commiting the Chuvash keyboard layout file....

Does it mean that the Chuvash keyboard layout is available in the next release of XKB? 

If so, it's great! Thank you very much, Sergey!
Comment 11 Sergey V. Udaltsov 2007-06-13 08:45:20 UTC
> I would wait with the idea to modify the keysemdef.h file....
That's up to you:)

> Does it mean that the Chuvash keyboard layout is available in the next release
> of XKB? 
Yes, next release of xkeyboard-config will have your file included.
Comment 12 Miron Toli 2007-06-13 12:38:50 UTC
As I said the submitted keyboard layout is official. There is a Chuvash Latin Alphabet has established in the Internet.... I added the code to .../xkb/symbols/en in my computer... I could write it as a type of "Russia"...
Could we commit this file? Or are only the official alphabets allowed?

The Chuvash for Latin Alphabet movement on Internet:

http://cavashlat.googlepages.com
Comment 13 Sergey V. Udaltsov 2007-06-13 15:03:29 UTC
I would prefer to have ru(cv_latin). Is that layout really widely used?

PS Though as Russian I am not excited about latin layouts used by some republics inside Russia - but it is just my personal opinion
Comment 14 Miron Toli 2007-06-13 15:14:37 UTC
(In reply to comment #13)
> I would prefer to have ru(cv_latin). Is that layout really widely used?
Well, I think widely. The latin alphabet is better suited for the Chuvash sound system. The first dictionaries of Chuvash were done in latin script. (Paasonen, Räsenen: Finnish-Chuvash, Turkish-Chuvash)
> PS Though as Russian I am not excited about latin layouts used by some
> republics inside Russia - but it is just my personal opinion
I know, it's a no easy political question. I don't want see at it as at something political. I want to enable an easy input in Chuvash on Linux both for Officials and Latinists. 

Comment 15 Miron Toli 2007-06-15 11:50:29 UTC
As I wrote, I and my friends want to add the Chuvash Latin Alphabet. It is widely used for conversation, linguistical and historical researches. 
Comment 16 Miron Toli 2007-06-15 11:52:16 UTC
Created attachment 10324 [details]
Chuvash Latin Alphabet with X symbols

here is the code the Chuvash Latin Alphabet
Comment 17 Sergey V. Udaltsov 2007-06-15 13:41:00 UTC
Thanks, committed!
Comment 18 Sergey V. Udaltsov 2007-08-10 04:08:10 UTC
I just noticed - there is no symbols ebreve/Ebreve in XKB. Could you please do something about it - replace with other symbols? Thanks
Comment 19 Miron Toli 2007-08-11 01:58:18 UTC
Hi Sergey: I founded the code instead for ebreve, Ebreve. We must replace this line:
    key        <AD05> {        [      Cyrillic_ie,     Cyrillic_IE,
                       ebreve,	Ebreve     ]       };

TO THIS:
    key        <AD05> {        [      Cyrillic_ie,     Cyrillic_IE,
                       0x01000115,	0x01000114     ]       };
Comment 20 Miron Toli 2007-08-11 02:03:07 UTC
there are problems with ebreve, Ebreve. Thats why I would reopen this bug...
Comment 21 Miron Toli 2007-08-11 02:05:23 UTC
Created attachment 11083 [details]
Chuvash keyboard layout with XKB resolving the ebreve-proplem.
Comment 22 Miron Toli 2007-08-11 02:39:19 UTC
Created attachment 11084 [details]
Chuvash Latin keyboard layout without "ebreve" + additional letters
Comment 23 Sergey V. Udaltsov 2007-08-11 16:27:15 UTC
Thanks, that's better. Committed.
Comment 24 Miron Toli 2007-08-11 16:30:12 UTC
Thank you, Sergey
Comment 25 Miron Toli 2007-10-25 14:30:03 UTC
Hi, I installed Ubuntu 7.10 I hoped there is a Chuvash Keyboard Layout. My friends hoped too. But there is no Chuvash Keyboard Layout. How to explain it for my friends? When is the next official release for X Windows?
Comment 26 Sergey V. Udaltsov 2007-10-25 14:35:02 UTC
gutsy is using xkeyboard-config (released back in October 2006!), while Chuvash layout is in xkeyboard-config 0.9 (released in September 2007). I think you should file a bug in Ubuntu's launchpad.
Comment 27 Miron Toli 2014-04-13 18:30:14 UTC
This keyboard layout uses some replacement letters: ebreve, abreve and ccedilla. Now when Cyrilic diacritical letters are supported in most devices, we should use the three letters. I have written a blog post about it http://chuvash.eu/2014/04/13/it-is-time-to-standardize-the-chuvash-keyboard-layout/ . This should be like this:

// Chuvash language layout
// Anatoly Mironov @mirontoli
partial alphanumeric_keys
xkb_symbols "cv" {
    include "ru(winkeys)"
 
    name[Group1]= "Chuvash";
 
    key.type[group1]="FOUR_LEVEL";
 
    key        <AD03> {        [      Cyrillic_u, Cyrillic_U,
                            0x010004f3,    0x010004f2      ]       };
    key        <AD05> {        [      Cyrillic_ie,     Cyrillic_IE,
                       0x010004d7,  0x010004d6     ]       };
    key        <AC04> {        [      Cyrillic_a, Cyrillic_A,
                          0x010004d1,  0x010004d0      ]       };
    key        <AB03> {        [      Cyrillic_es,     Cyrillic_ES,
                            0x010004ab,    0x010004aa      ]       };
 
    include "level3(ralt_switch)"
};

Should I create a new bug, or should I reopen this one?
Comment 28 Sergey V. Udaltsov 2014-04-13 18:37:24 UTC
Let's reopen this one. Will you be able to attach a new patch?
Comment 29 Sergey V. Udaltsov 2014-04-17 22:57:04 UTC
fixed in git
Comment 30 Miron Toli 2014-05-01 06:17:19 UTC
(In reply to comment #29)
> fixed in git

Sorry for a late answer. Thank you very much Sergey for adding it to the git source and adjusting the unicode characters (0x010004f3 -> U04F3). I can even confirm that it works on Ubuntu 14.04.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.